Subject: [bug#47350] [PATCH 00/29] Add Zygote (piece for Machine Learning with Julia)

From: zimoun <[email-masked]>
Date: Sat, 27 Mar 2021 22:24:22 +0100

Hi Nicoló,

On Sat, 27 Mar 2021 at 22:01, Nicolò Balzarotti <[email-masked]> wrote:
> Nicolò Balzarotti <[email-masked]> writes:
>
>> zimoun <[email-masked]> writes:
>
>> I should have some time to re-check those later today
>>
> Ok the everything still builds (I had a few problems applying the
> patches, but it might depend on my setup).

Ah.

> Lint gives warnings:
> [email-masked]: permanent redirect from https://fluxml.ai/Zygote.jl to
> https://fluxml.ai/Zygote.jl/
>  [email-masked]: permanent redirect from
> https://fluxml.ai/MacroTools.jl to https://fluxml.ai/MacroTools.jl/

I find weird to have to have trailing ’/’ for these when all the others
does not have.

> [email-masked]: can be upgraded to 0.6.6
> [email-masked]: can be upgraded to 0.7.55
> [email-masked]: can be upgraded to 0.9.33

Well, let apply this series and update them later. :-)

> [email-masked]+4: sentences in description should be followed by
> two spaces; possible infraction at 129
> [email-masked]+1: sentences in description should be
> followed by two spaces; possible infraction at 134

Indeed.  Ludo, could you fix it before pushing?

> [email-masked]+1: line 344 is way too long (91
> characters)

Hum, but life is too short. ;-)

> Other than that, LGTM

Thanks!

> (I opened an issue [fn:1] to constructionbase.jl to have latest
> version tagged,

Cool!

> if they respond promptly we might use the tagged version)

Well, let merge this series.  Once in, it becomes much easier to update
them.  And less scary for committer. :-)  Pushing ~30 new Julia
packages is not the same than tweaking a version+hash or a
description. ;-)

Thanks again!

Cheers,
simon

PS:
Teaser: I have started something about an importer. :-)
I have checked JuliaHub but I am not able to find the dependencies list,
so I am going to use General.